Guard Leikan:
It is a vast forest to the northeast in Oren and is the headquarters of the Dark Elves. They have a deep-rooted feud against the Elves of light, and so the two enemies have come to blows on occasion, but now they have signed a peace agreement.
I shudder when I look at the Dark Elves, with their ash-colored skin and dark eyes, but I also feel a strange fascination. They say there is a guild building where Dark Elves gather, somewhere in this village ...
Return